---
lang: en
title: 'API docs: context.resolutioncontext'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.resolutioncontext.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ResolutionContext](./context.resolutioncontext.md)

## ResolutionContext interface

Contextual metadata for resolution

**Signature:**

```typescript
export interface ResolutionContext<T = unknown> 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[binding](./context.resolutioncontext.binding.md)


</td><td>

`readonly`


</td><td>

Readonly&lt;[Binding](./context.binding.md)<!-- -->&lt;T&gt;&gt;


</td><td>

The binding to be resolved


</td></tr>
<tr><td>

[context](./context.resolutioncontext.context.md)


</td><td>

`readonly`


</td><td>

[Context](./context.context.md)


</td><td>

The context for resolution


</td></tr>
<tr><td>

[options](./context.resolutioncontext.options.md)


</td><td>

`readonly`


</td><td>

[ResolutionOptions](./context.resolutionoptions.md)


</td><td>

The options used for resolution


</td></tr>
</tbody></table>


